POST V1/Inventory.{ext}/MonthlyClientFeedData

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.MonthlyFeedDataReqBody
NameDescriptionTypeAdditional information
ClientId

No description available

string

None.

ClientCode

No description available

string

None.

ClientName

No description available

string

None.

FromEmail

No description available

string

None.

ToEmail

No description available

string

None.

CcEmail

No description available

string

None.

BccEmail

No description available

string

None.

MailSubject

No description available

string

None.

IsEmailRequired

No description available

string

None.

IsSFTPRequired

No description available

boolean

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

FileFormat

No description available

string

None.

delimiter

No description available

string

None.

FileName

No description available

string

None.

headerRequired

No description available

boolean

None.

DataForCurrentMonth

No description available

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "clientId": "sample string 1",
  "clientCode": "sample string 2",
  "clientName": "sample string 3",
  "fromEmail": "sample string 4",
  "toEmail": "sample string 5",
  "ccEmail": "sample string 6",
  "bccEmail": "sample string 7",
  "mailSubject": "sample string 8",
  "isEmailRequired": "sample string 9",
  "issftpRequired": true,
  "fromDate": "sample string 11",
  "toDate": "sample string 12",
  "fileFormat": "sample string 13",
  "delimiter": "sample string 14",
  "fileName": "sample string 15",
  "headerRequired": true,
  "dataForCurrentMonth": true
}

application/xml, text/xml

Sample:
<MonthlyFeedDataReqBody xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <BccEmail>sample string 7</BccEmail>
  <CcEmail>sample string 6</CcEmail>
  <ClientCode>sample string 2</ClientCode>
  <ClientId>sample string 1</ClientId>
  <ClientName>sample string 3</ClientName>
  <DataForCurrentMonth>true</DataForCurrentMonth>
  <FileFormat>sample string 13</FileFormat>
  <FileName>sample string 15</FileName>
  <FromDate>sample string 11</FromDate>
  <FromEmail>sample string 4</FromEmail>
  <IsEmailRequired>sample string 9</IsEmailRequired>
  <IsSFTPRequired>true</IsSFTPRequired>
  <MailSubject>sample string 8</MailSubject>
  <ToDate>sample string 12</ToDate>
  <ToEmail>sample string 5</ToEmail>
  <delimiter>sample string 14</delimiter>
  <headerRequired>true</headerRequired>
</MonthlyFeedDataReqBody>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.